%global srcname jose
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:    erlang-%{srcname}
Version: 1.8.4
Release: 1%{?dist}

License: MPLv2.0
Summary: JSON Object Signing and Encryption (JOSE) for Erlang and Elixir
URL:     https://github.com/potatosalad/erlang-jose
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/potatosalad/erlang-jose/pull/42
Patch0:  0000-Use-include-instead-of-include_lib-for-jose-in-tests.patch

BuildRequires: erlang-base64url
BuildRequires: erlang-rebar
BuildRequires: erlang-triq


%description
%{summary}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc ALGORITHMS.md
%doc CHANGELOG.md
%doc examples
%doc README.md
%{erlang_appdir}


%changelog
* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-1
- Initial release (#1534268).
